@ECHO OFF
REM *****************************************************************/
REM                                                                 */
REM   Licensed Materials - Property of IBM                          */
REM   5622-088, 5639-A24 (C) Copyright IBM Corp. 1992,1996.         */
REM   All Rights Reserved.                                          */
REM   US Government Users Restricted Rights-- Use, duplication or   */
REM   disclosure restricted by GSA ADP Schedule Contract with       */
REM   IBM Corp.                                                     */
REM                                                                 */
REM DISCLAIMER OF WARRANTIES                                        */
REM   The following enclosed code is sample code created by IBM   */
REM   Corporation. This sample code is not part of any standard     */
REM   IBM product and is provided to you solely for the purpose of  */
REM   assisting you in the development of your applications.  The   */
REM   code is provided "AS IS", without warranty of any kind.       */
REM   IBM shall not be liable for any damages arising out of your   */
REM   use of the sample code, even if IBM has been advised of the   */
REM   possibility of such damages.                                  */
REM                                                                 */
REM                                                                 */
REM Build ILC test of Common Data Types between C Set/2 and PL/I.   */
REM The C function CSPLICS dynamically loads and calls the PL/I     */
REM procedure CSPLICSP.PLI which in turn loads and calls another C  */
REM function CSPLICSC.C.  This file builds all the necessary files. */
REM                                                                 */
REM  CSPLICS.C    is compiled and linked as an EXE.                 */
REM  CSPLICSD.PLI is compiled and linked as a DLL by the same name. */
REM  CSPLICSC.C   is compiled and linked as a DLL by the same name. */
REM                                                                 */
REM Syntax:   BLDCSPCS                                              */
REM                                                                 */
REM *****************************************************************/

  REM Compile and Go for CSPLICS
  REM - - - - - - - - - - - - -

  REM -- Build the sample
  NMAKE /f bldcspcs.mak all

  REM -- Run the sample
  set dd:sysprint=1:
  CSPLICS
  set dd:sysprint=

  REM - - - - - - - - - - - - -
  REM To remove the compiled object and executables
  REM issue "NMAKE /f bldcspcs.mak clean"
  REM - - - - - - - - - - - - -

